> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mangrovesystems.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all events on a project

> Lists all events on a specific project with filtering and sorting capabilities.



## OpenAPI

````yaml GET /projects/{project_id}/events
openapi: 3.1.0
info:
  title: Mangrove - API
  version: 1.1.0
servers:
  - url: https://app.gomangrove.com/api/v1
security:
  - sec0: []
paths:
  /projects/{project_id}/events:
    get:
      summary: List all events on a project
      description: >-
        Lists all events on a specific project with filtering and sorting
        capabilities.
      operationId: list-all-events
      parameters:
        - name: project_id
          in: path
          schema:
            type: string
          required: true
        - name: page
          in: query
          schema:
            type: integer
            format: int32
            default: 1
          description: Page number to return.
        - name: page_size
          in: query
          schema:
            type: integer
            format: int32
            default: 10
          description: Number of events to return per page.
        - name: sort
          in: query
          description: >-
            Comma-separated list of fields to sort by. Prefix with - for
            descending. Available fields: id, start_time, end_time, created_at,
            updated_at, status, tracking_id, friendly_id
          schema:
            type: string
            example: '-start_time,created_at'
        - name: filter[id][eq]
          in: query
          schema:
            type: integer
        - name: filter[status][eq]
          in: query
          schema:
            type: string
            enum:
              - complete
              - incomplete
              - pending
        - name: filter[tracking_id][eq]
          in: query
          schema:
            type: string
        - name: filter[friendly_id][eq]
          in: query
          schema:
            type: string
        - name: filter[start_time][geq]
          in: query
          description: Filter events starting on or after this date
          schema:
            type: string
            format: date-time
        - name: filter[start_time][leq]
          in: query
          description: Filter events starting on or before this date
          schema:
            type: string
            format: date-time
        - name: filter[end_time][geq]
          in: query
          description: Filter events ending on or after this date
          schema:
            type: string
            format: date-time
        - name: filter[end_time][leq]
          in: query
          description: Filter events ending on or before this date
          schema:
            type: string
            format: date-time
        - name: filter[nexus_event_type_id][eq]
          in: query
          description: Filter events by event type ID
          schema:
            type: integer
        - name: filter[feedstock_id][eq]
          in: query
          schema:
            type: integer
        - name: filter[nexus_events_data_source_id][eq]
          in: query
          description: Filter events tied to a specific ingest job/data source
          schema:
            type: integer
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    data:
                      - id: evt_DLnYvzbjSujNAvXE
                        slug: biochar-delivery
                        event_type: Biochar Delivery
                        tracking_id: MG1003
                        start_time: '2024-06-04T00:00:00.000Z'
                        end_time: '2024-06-04T23:59:59.000Z'
                        data_points:
                          - id: in_JuGzRS08MbVSEkCj
                            slug: total-ash-delivered-wet-us-ton
                            data_point_type: Total Ash Delivered (wet mass) U.S. ton
                            value: 290.6
                            unit: U.S. ton
                            status: complete
                          - id: in_c3krFTxCxJSQR5Rc
                            slug: distance-biochar-transported
                            data_point_type: Biochar distance transported
                            value: 15.3
                            unit: mile
                            status: complete
                          - id: in_AIKqFEtr5OpAqram
                            slug: biochar-end-use
                            data_point_type: Biochar end use
                            value: soil amendment
                            unit: null
                            status: complete
                        locations:
                          - id: loc_8XF1QtGs79oX9A6k
                            lat: '40.4773493'
                            long: '-124.1226179'
                            name: Production Facility
                            address:
                              name: Production Facility
                              street_address_1: null
                              street_address_2: null
                              city: null
                              state: null
                              postal_code: null
                              country: CA
                          - id: loc_8XF1QtGs79oX9A6k
                            lat: '41.2733453'
                            long: '-122.2246676'
                            name: Customer Location
                            address:
                              name: Customer Location
                              street_address_1: null
                              street_address_2: null
                              city: null
                              state: null
                              postal_code: null
                              country: CA
                        evidences:
                          - id: 1
                            url: XXXXXXX
                            evidence_type: file
                            name: Receipt.pdf
                    info:
                      items: 10
                      page_size: 10
                      total_items: 120105
                      current_page: 1
                      next_page: 2
                      previous_page: null
                      total_pages: 12011
                      sort:
                        - field: start_time
                          direction: desc
                      filter:
                        - field: status
                          operator: eq
                          value: complete
        '404':
          description: '404'
          content:
            application/json:
              examples:
                Result:
                  value:
                    status: error
                    statusCode: 404
                    errors:
                      - message: record not found
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: error
                  statusCode:
                    type: integer
                    example: 404
                    default: 0
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: record not found
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: ''

````